fop 1.1

## org.apache.fop.events
Class ValidationExceptionFactory

    java.lang.Object
      org.apache.fop.events.ValidationExceptionFactory

All Implemented Interfaces:
  EventExceptionManager.ExceptionFactory

    public class ValidationExceptionFactory

extends java.lang.Object
implements EventExceptionManager.ExceptionFactory

Exception factory for `ValidationException`.

Constructor Summary
`ValidationExceptionFactory()`

Method Summary
`java.lang.Throwable` `createException(Event event)` Creates an exception from an event.
`java.lang.Class<ValidationException>` `getExceptionClass()` Returns the `Exception` class created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationExceptionFactory

    public ValidationExceptionFactory()

Method Detail

### createException

    public java.lang.Throwable createException(Event event)

  Creates an exception from an event.

  Specified by:
    `createException` in interface `EventExceptionManager.ExceptionFactory`
  Parameters:
    `event` - the event
  Returns:
    the newly created exception

### getExceptionClass

    public java.lang.Class<ValidationException> getExceptionClass()

  Returns the `Exception` class created by this factory.

  Specified by:
    `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`
  Returns:
    the exception class

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.